Skip to main content

Base URL

All Developer API paths are relative to your deployment plus the prefix /api/v1/api. Example — if your app URL is https://chat.wapilot.com, full URLs look like: https://chat.wapilot.com/api/v1/api/contacts
The interactive API playground in this site uses a placeholder Server in the OpenAPI spec (https://your-domain.com/api/v1/api). Replace it with your real host when trying requests, or set your own server in your HTTP client.

Unauthenticated route

  • GET /guide — Returns machine-readable apirequests with sample code (curl, Node, etc.). No API key required. Use it to discover examples against your own host.

Authenticated routes

All other operations require a valid organization API key in the Authorization header. See Authentication.

OpenAPI

This site is generated from the OpenAPI 3.1 specification bundled in the docs repo. Endpoints, methods, and body schemas are listed in the API reference tab.